package com.xinelu.manage.service.agencycategory;


import com.xinelu.manage.domain.agencycategory.AgencyCategory;
import com.xinelu.manage.vo.agencycategory.AgencyCategoryTreeVO;

import java.util.List;

/**
 * 机构类别Service接口
 *
 * @author xinelu
 * @date 2024-02-26
 */
public interface IAgencyCategoryService {
    /**
     * 查询机构类别
     *
     * @param id 机构类别主键
     * @return 机构类别
     */
    AgencyCategory selectAgencyCategoryById(Long id);

    /**
     * 查询机构类别列表
     *
     * @param agencyCategory 机构类别
     * @return 机构类别集合
     */
    List<AgencyCategory> selectAgencyCategoryList(AgencyCategory agencyCategory);

    /**
     * 新增机构类别
     *
     * @param agencyCategory 机构类别
     * @return 结果
     */
    int insertAgencyCategory(AgencyCategory agencyCategory);

    /**
     * 修改机构类别
     *
     * @param agencyCategory 机构类别
     * @return 结果
     */
    int updateAgencyCategory(AgencyCategory agencyCategory);

    /**
     * 批量删除机构类别
     *
     * @param ids 需要删除的机构类别主键集合
     * @return 结果
     */
    int deleteAgencyCategoryByIds(Long[] ids);

    /**
     * 删除机构类别信息
     *
     * @param id 机构类别主键
     * @return 结果
     */
    int deleteAgencyCategoryById(Long id);

    /**
     * 查询机构类别信息列表 - 树图
     *
     * @return AgencyVO
     */
    List<AgencyCategoryTreeVO> agencyCategoryList();
}
